Subject: Object ada and cygwin.dll
From: [email-masked] (Redmond Urbino)

18 Jan 1998 11:09:39 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I am porting an ada system from unix to nt 4.
I was using b18 along with gnat 3.09.
It turns out that gnat 3.09 and 3.10 don't support ada interrupts, grrr.

So now I'm trying to get cygwin.dll working with object ada.
I was able to get simple functions like bzero to work, by explicitly
loading cygwin.dll (LoadLibrary, GetProcAddress) .
But when I tried to do the same thing for cygwin32_socket, I get an
access error.

Questions
1. Has anybody been able to use the socket functions of cygwin dll with
object ada?
2. How about the socket functions of cygwin.dll with VC++ 5.0?
3. Is there a cygwin.def / cygwin.lib file so that I could use implicit
linking with VC++ or object ada?

Thanks in advance.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".